Overview
GET
/bucket/buckets/{bucketId}/types/{typeId}/rowsbucketList rows of a bucket-type table (acting as an app/persona)
Fetch a record from rows by bucketId, typeId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- bucketIdpathstring
- typeIdpathstring
- asTypequerystring
- asIdquerystring
Responses
200
Rows
- rowsBucketRow[]
Example
{
"rows": [
{}
]
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/bucket/buckets/{bucketId}/types/{typeId}/rows" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/buckets/{bucketId}/types/{typeId}/rows", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();